For Industry

WebTrader System Requirements

FDA ESG Web Interface users need the following:

  • Web browser: Internet Explorer 7, 8 or 9. You may also use Internet Explorer 10 (32-bit) or 11 (32-bit) in Compatibility Mode. Compatibility Mode may be set by going to Internet Options, selecting Compatibility View Settings and adding fda.gov. Organizations that have an IT staff may also use Enterprise Mode if accessing WebTrader with Internet Explorer 11.
  • Software: Java Version 7 or above with correct Java Runtime Environment (JRE) and Java Cryptography Extension (JCE). For Java  JRE and JCE installation instructions, please click here.
  • Hard disk: space of at least three times the size of the submission.
  • A high-speed internet connection.
 

Page Last Updated: 04/28/2016
Note: If you need help accessing information in different file formats, see Instructions for Downloading Viewers and Players.